Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class StructureStylesheetUserPreferences

    java.lang.Object
      org.jasig.portal.StylesheetUserPreferences
          org.jasig.portal.ThemeStylesheetUserPreferences
              org.jasig.portal.StructureStylesheetUserPreferences

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DistributedUserPreferences

    public class StructureStylesheetUserPreferences

extends ThemeStylesheetUserPreferences

User preferences for stylesheets performing structure transformation

Version:
  $Revision: 1.16.2.1 $
Author:
  Peter Kharchenko
See Also:
  Serialized Form

Field Summary
`protected java.util.ArrayList` | `defaultFolderAttributeValues`
`protected java.util.Hashtable` | `folderAttributeNumbers`
`protected java.util.Hashtable` | `folderAttributeValues`
`private static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.jasig.portal.ThemeStylesheetUserPreferences
`channelAttributeNumbers, channelAttributeValues, defaultChannelAttributeValues`

Constructor Summary
`StructureStylesheetUserPreferences()`
`StructureStylesheetUserPreferences(StructureStylesheetUserPreferences fsup)`
`StructureStylesheetUserPreferences(ThemeStylesheetUserPreferences tsup)` If instantiated with a theme stylesheet this object will be used only for theme type work and so don't instantiate the variables added by this class.

Method Summary
`void` | `addFolder(java.lang.String folderID)`
`void` | `addFolderAttribute(java.lang.String attributeName, java.lang.String defaultValue)`
`private java.util.Hashtable` | `copyFolderAttributeNames()`
`private java.util.ArrayList` | `createFolder(java.lang.String folderID)`
`java.lang.String` | `getCacheKey()`
`java.lang.String` | `getDefinedFolderAttributeValue(java.lang.String folderID, java.lang.String attributeName)` Returns folder attribute value only if it has been assigned specifically.
`java.util.Enumeration` | `getFolderAttributeNames()`
`java.lang.String` | `getFolderAttributeValue(java.lang.String folderID, java.lang.String attributeName)`
`java.util.Enumeration` | `getFolders()`
`boolean` | `hasFolder(java.lang.String folderID)`
`java.lang.Object` | `newInstance()` Provides a copy of this object with all fields instantiated to reflect the values of this object.
`void` | `removeFolder(java.lang.String folderID)`
`void` | `removeFolderAttribute(java.lang.String attributeName)`
`void` | `setFolderAttributeDefaultValue(java.lang.String attributeName, java.lang.String defaultValue)`
`void` | `setFolderAttributeValue(java.lang.String folderID, java.lang.String attributeName, java.lang.String attributeValue)`

Methods inherited from class org.jasig.portal.ThemeStylesheetUserPreferences
`addChannel, addChannelAttribute, getChannelAttributeNames, getChannelAttributeValue, getChannels, getDefinedChannelAttributeValue, hasChannel, removeChannel, removeChannelAttribute, setChannelAttributeDefaultValue, setChannelAttributeValue`

Methods inherited from class org.jasig.portal.StylesheetUserPreferences
`deleteParameter, getParameterValue, getParameterValues, getStylesheetId, putParameterValue, setParameterValues, setStylesheetId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### folderAttributeNumbers

    protected java.util.Hashtable folderAttributeNumbers

### folderAttributeValues

    protected java.util.Hashtable folderAttributeValues

### defaultFolderAttributeValues

    protected java.util.ArrayList defaultFolderAttributeValues

Constructor Detail

### StructureStylesheetUserPreferences

    public StructureStylesheetUserPreferences()

### StructureStylesheetUserPreferences

    public StructureStylesheetUserPreferences(StructureStylesheetUserPreferences fsup)

### StructureStylesheetUserPreferences

    public StructureStylesheetUserPreferences(ThemeStylesheetUserPreferences tsup)

  If instantiated with a theme stylesheet this object will be used only for theme type work and so don't instantiate the variables added by this class. Used in DLM.

Method Detail

### newInstance

    public java.lang.Object newInstance()

  Provides a copy of this object with all fields instantiated to reflect the values of this object. This allows subclasses to override to add correct copying behavior for their added fields.

  Overrides:
    `newInstance` in class `ThemeStylesheetUserPreferences`
  Returns:
    a copy of this object

### getFolderAttributeValue

    public java.lang.String getFolderAttributeValue(java.lang.String folderID,
                                                    java.lang.String attributeName)

### getDefinedFolderAttributeValue

    public java.lang.String getDefinedFolderAttributeValue(java.lang.String folderID,
                                                           java.lang.String attributeName)

  Returns folder attribute value only if it has been assigned specifically.

  Parameters:
    `folderID` - folder id
    `attributeName` - name of the attribute
  Returns:
    attribute value or null if the value is determined by the attribute default

### setFolderAttributeValue

    public void setFolderAttributeValue(java.lang.String folderID,
                                        java.lang.String attributeName,
                                        java.lang.String attributeValue)

### addFolderAttribute

    public void addFolderAttribute(java.lang.String attributeName,
                                   java.lang.String defaultValue)

### setFolderAttributeDefaultValue

    public void setFolderAttributeDefaultValue(java.lang.String attributeName,
                                               java.lang.String defaultValue)

### removeFolderAttribute

    public void removeFolderAttribute(java.lang.String attributeName)

### getFolderAttributeNames

    public java.util.Enumeration getFolderAttributeNames()

### addFolder

    public void addFolder(java.lang.String folderID)

### removeFolder

    public void removeFolder(java.lang.String folderID)

### getFolders

    public java.util.Enumeration getFolders()

### hasFolder

    public boolean hasFolder(java.lang.String folderID)

### createFolder

    private java.util.ArrayList createFolder(java.lang.String folderID)

### copyFolderAttributeNames

    private java.util.Hashtable copyFolderAttributeNames()

### getCacheKey

    public java.lang.String getCacheKey()

  Overrides:
    `getCacheKey` in class `ThemeStylesheetUserPreferences`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD